| Kea 3.0.2-git

isc::dhcp::Dhcp4Parser::syntax_error Struct Reference

Syntax errors thrown from user actions. More...

`#include <dhcp4_parser.h>`

Inheritance diagram for isc::dhcp::Dhcp4Parser::syntax_error:
[legend]

## Public Member Functions
| syntax_error (const location_type &l, const std::string &m)
| syntax_error (const syntax_error &s)
| ~syntax_error () YY_NOEXCEPT YY_NOTHROW

## Public Attributes
location_type | location

## Detailed Description

Syntax errors thrown from user actions.

Definition at line 477 of file dhcp4_parser.h.

## Constructor & Destructor Documentation

## ◆ syntax_error() [1/2]

isc::dhcp::Dhcp4Parser::syntax_error::syntax_error | ( | const location_type & | l,
|  | const std::string & | m )
| inline

Definition at line 479 of file dhcp4_parser.h.

References location.

Referenced by syntax_error().

## ◆ syntax_error() [2/2]

isc::dhcp::Dhcp4Parser::syntax_error::syntax_error | ( | const syntax_error & | s | ) |
| inline

Definition at line 484 of file dhcp4_parser.h.

References syntax_error(), and location.

Here is the call graph for this function:

## ◆ ~syntax_error()

isc::dhcp::Dhcp4Parser::syntax_error::~syntax_error | ( |  | ) |

Definition at line 165 of file dhcp4_parser.cc.

References YY_NOEXCEPT, and YY_NOTHROW.

## Member Data Documentation

## ◆ location

location_type isc::dhcp::Dhcp4Parser::syntax_error::location

Definition at line 491 of file dhcp4_parser.h.

Referenced by syntax_error(), syntax_error(), and isc::dhcp::Dhcp4Parser::error().

The documentation for this struct was generated from the following files:

- dhcp4_parser.h
- dhcp4_parser.cc